Subject: Re: MEGACO: Descriptor order significance?

From: Christian Groves <[email-masked]>
Date: Tue, 16 Jan 2001 11:14:05 +1100

G'Day Nancy,

I believe that the order of the descriptors is still significant. If you
audit a media descriptor before you assign it then this should be
allowed. The behaviour isn't very smart but I don't think we should
preclude it.

I don't believe there's a problem with mulitple descriptors in this
case. The mediadescriptor be audited will be returned in a
AuditDescriptor structure and the mediaDescriptor being set will be
returned in its own structure.

ie.
Transaction Reply
 context
  mod reply
    termination
      audit descriptor
         media descriptor
      media descriptor

Cheers, Christian

"Griffeth, Nancy D (Nancy)" wrote:
>
> Troy,
>
> The standard says there is; in section 7.2:
>
> "The descriptors SHALL be processed in the order in which they appear."
>
> This creates a problem if an AuditDescriptor appears before certain other
> descriptors.  For example, if an AuditDescriptor contains a mediaToken and
> is followed by a MediaDescriptor with some under- or over-specified
> parameters,
> the requirements become inconsistent.  According to the requirement quoted
> above, the location of the audit descriptor requires that the original
> media descriptor be returned.
>
> In Section 7.1.1, the following statement appears:
>
> "Whenever a parameter is underspecified or overspecified, the descriptor
> containing the value chosen by the responder is included as output from the
> command."
>
> So if the subsequent media descriptor has under- or over-specified
> parameters,
> the new media descriptor must be returned.  But the syntax allows only one
> media
> descriptor.
>
> I posted to the list earlier about this problem, but there's been no reply.
>
> Nancy
>
> -----Original Message-----
> From: Troy Cauble [mailto:[email-masked]]
> Sent: Thursday, December 14, 2000 10:44 PM
> To: [email-masked]
> Subject: MEGACO: Descriptor order significance?
>
> The Add, Move, and Modify commands each take several descriptor
> arguments.  Both the ABNF and ASN.1 encodings happen to encode
> these descriptors in lists of any order.
>
> Is there any significance to the order of these descriptors?
>
> -troy